Listar requisições
curl --request GET \
--url https://requests.production.judit.io/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://requests.production.judit.io/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://requests.production.judit.io/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_data": [
{
"request_id": "<string>",
"search": {
"search_key": "<string>",
"search_params": {
"full_lawsuit": true,
"should_search_branches": true,
"public_search": true,
"lawsuit_instance": 123,
"attachment_id": "<string>",
"attachment_extension": "<string>",
"filter": {
"party_names": [
"<string>"
],
"party_documents": [
"<string>"
],
"distribution_date_gte": "2023-11-07T05:31:56Z",
"distribution_date_lte": "2023-11-07T05:31:56Z",
"last_step_date_gte": "2023-11-07T05:31:56Z",
"last_step_date_lte": "2023-11-07T05:31:56Z",
"tribunals": {
"keys": [
"<string>"
],
"not_equal": true
},
"classification_codes": {
"keys": [
"<string>"
],
"not_equal": true
},
"classification_names": {
"keys": [
"<string>"
],
"not_equal": true
},
"subject_codes": {
"contains": [
"<string>"
],
"not_contains": [
"<string>"
]
},
"subject_names": {
"contains": [
"<string>"
],
"not_contains": [
"<string>"
]
},
"amount_lte": 123,
"amount_gte": 123
},
"pagination": {
"page": 123,
"page_size": 123
},
"credential": {
"customer_key": "<string>"
}
},
"on_demand": true,
"search_name": "<string>",
"response_type": "lawsuit",
"cache_ttl_in_days": 123
},
"origin_id": "<string>",
"company_id": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"with_attachments": true,
"tags": {},
"source_name": "<string>",
"judit_ia": [
"summary"
],
"cost": 123,
"callback_url": "<string>",
"responses_count": 123,
"filters_count": 123,
"is_unique_name": true,
"ip": "<string>",
"trace_id": "<string>"
}
],
"page_count": 123,
"all_count": 123,
"all_pages_count": 123
}{
"error": {
"name": "HttpUnauthorizedError",
"message": "UNAUTHORIZED",
"stack": "<string>",
"data": "User must be authenticated"
}
}{
"error": {
"name": "HttpForbiddenError",
"message": "FORBIDDEN",
"stack": "<string>",
"data": "Authenticated user is not authorized"
}
}{
"error": {
"name": "HttpInternalServerError",
"message": "INTERNAL_SERVER_ERROR",
"stack": "<string>",
"data": {
"message": "Database connection failed"
}
}
}Requests · Asynchronous Queries
List created requests
This endpoint queries the requests made, by parameters, in a paginated way.
GET
/
requests
Listar requisições
Authorizations
jwtAuthapiKeyAuth
JWT Bearer token for authentication
Query Parameters
Required range:
1 <= x <= 3Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 1Required range:
5 <= x <= 100Was this page helpful?
⌘I